#if UNITY_5
using System.Text.RegularExpressions;
using SyntaxTree.VisualStudio.Unity.Bridge;
using UnityEditor;

[InitializeOnLoad]
public class ProjectFilesGeneration {
	static ProjectFilesGeneration() {
		ProjectFilesGenerator.ProjectFileGeneration += ReplaceContent;
	}
	static string ReplaceContent(string n, string c) {
		return Regex.Replace(c, @"<LangVersion(.*?)>.*?</LangVersion>", @"<LangVersion$1>3</LangVersion>");
	}
}
#endif